Skip to main content
POST
/
v6
/
reports
/
chartOfAccounts
Chart of Accounts
curl --request POST \
  --url https://sandbox.tight.com/v6/reports/chartOfAccounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {
    "beginDate": "2025-01-01",
    "endDate": "2025-12-31",
    "classSegmentIds": [
      "<string>"
    ]
  },
  "exportType": "JSON",
  "recipients": {
    "emails": [
      "<string>"
    ],
    "ccEmails": [
      "<string>"
    ],
    "bccEmails": [
      "<string>"
    ]
  }
}
'
{
  "result": "SUCCESS",
  "data": {
    "json": [
      {
        "name": "Operating Expenses",
        "glAccount": {
          "id": "gla_38560327",
          "name": "Officer(s) Salaries and Wages",
          "accountNo": "60210",
          "type": "EXPENSE",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
        },
        "balance": 150000,
        "children": "<array>"
      }
    ],
    "url": "<string>",
    "meta": {
      "title": "<string>",
      "generatedOn": "2023-11-07T05:31:56Z",
      "generatedBy": "John Doe",
      "footerLine": "Generated by Tight"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
filters
object

Filters to apply to the balance sheet report

exportType
enum<string>

Export format for the chart of accounts report

Available options:
JSON,
PDF,
XLSX
recipients
object

Email recipients for the balance sheet report

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.